[<prev] [next>] [day] [month] [year] [list]
Message-Id: <20180524193814.30645-1-ahiliation@gmail.com>
Date: Fri, 25 May 2018 01:08:14 +0530
From: Jeffrin Jose T <ahiliation@...il.com>
To: linux-kernel@...r.kernel.org
Cc: Jeffrin Jose T <ahiliation@...il.com>
Subject: TEST mail
TEST MAIL
Signed-off-by: Jeffrin Jose T <ahiliation@...il.com>
---
tools/testing/selftests/intel_pstate/run.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/tools/testing/selftests/intel_pstate/run.sh b/tools/testing/selftests/intel_pstate/run.sh
index 6ded61670f6d..4ddd389c2cb9 100755
--- a/tools/testing/selftests/intel_pstate/run.sh
+++ b/tools/testing/selftests/intel_pstate/run.sh
@@ -33,6 +33,12 @@ EVALUATE_ONLY=0
# Kselftest framework requirement - SKIP code is 4.
ksft_skip=4
+msg="skip all tests:"
+if [ $UID != 0 ] && [ $EVALUATE_ONLY == 0 ]; then
+ echo $msg please run this as root >&2
+ exit $ksft_skip
+fi
+
if ! uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ | grep -q x86; then
echo "$0 # Skipped: Test can only run on x86 architectures."
exit $ksft_skip
--
2.17.0
Powered by blists - more mailing lists